
%define __libtoolize    /bin/true

%define compile_doc 0

%define name		taglib
%define major		0
%define libname_orig	lib%{name}
%define libname		%mklibname %{name} %{major}

Summary: 	TagLib, is well, a library for reading and editing audio meta data.
Name:	 	%name
Version:	1.4
Release:	%mkrel 1
License: 	GPL
Group: 		File tools
Source:		%name-%version.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
URL: 		http://ktown.kde.org/~wheeler/taglib/
Requires: 	%{libname} = %{version}-%release
Conflicts:	taglib <= 0.96-1mdk


BuildRequires:	multiarch-utils >= 1.0.3

%description
TagLib, is well, a library for reading and editing audio meta data, 
commonly know as tags.
Some goals of TagLib:
	A clean, high level, C++ API to handling audio meta data.
	Support for at least ID3v1, ID3v2 and Ogg Vorbis comments.
	A generic, simple API for the most common tagging related functions.
	Binary compatibility between minor releases using the standard KDE/Qt 
	techniques for C++ binary compatibility.
	Make the tagging framework extensible by library users; i.e. it will be 
	possible for libarary users to implement additional ID3v2 frames, 
	without modifying the TagLib source.
Because TagLib desires to be toolkit agnostic, in hope of being widely 
adopted and the most flexible in licensing TagLib provides many of its 
own toolkit classes; in fact the only external dependancy that TagLib has, 
it a semi-sane STL implementation.

%package	-n %{libname}
Group:		System/Libraries
Summary:	TagLib, is well, a library for reading and editing audio meta data.
Provides:	%{libname_orig} = %{version}-%{release}
Conflicts:  taglib <= 0.96-1mdk

%description	-n %{libname}
Librairy for taglib

%package	-n %{libname}-devel
Group:		Development/C
Summary:	Headers and static lib for taglib development
Requires:	%{libname} = %version-%release
Provides:	%{libname_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:  taglib <= 0.96-1mdk

%description	-n %{libname}-devel
Install this package if you want do compile applications using the libtag
library.

%prep
%setup -q

%build
%configure
%make

%if %compile_doc
make doc
%endif

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/taglib-config

%if %compile_doc
(
install -d -m 0755 %buildroot/%_docdir/
cp -r taglib-api/  %buildroot/%_docdir/
)
%endif


%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig
 
%files

#
%files -n %{libname}
%defattr(-,root,root)

%_libdir/libtag.la
%_libdir/libtag.so.*
%_libdir/libtag_c.la
%_libdir/libtag_c.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%_bindir/taglib-config
%multiarch %{multiarch_bindir}/taglib-config

%_libdir/libtag.so
%_libdir/libtag_c.so
%_libdir/pkgconfig/taglib.pc

%dir %_includedir/taglib/
%_includedir/taglib/*.h
%_includedir/taglib/*.tcc

%if %compile_doc
%dir %_docdir/taglib-api/
%dir %_docdir/taglib-api/html/
%doc %_docdir/taglib-api/html/*.html
%doc %_docdir/taglib-api/html/*.dot
%doc %_docdir/taglib-api/html/*.md5
%doc %_docdir/taglib-api/html/*.css
%doc %_docdir/taglib-api/html/*.png
%endif

%changelog
* Thu Aug 03 2005 Benjamin Lisci <rpm@mandrivauser.de> 1.4-1bli
- rebuild for 2005LE

* Wed Jul 27 2005 Laurent MONTEL <lmontel@mandriva.com> 1.4-1mdk
- 1.4

* Wed Jan 26 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.1-3mdk
- Add for multiarch

* Fri Jan 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.1-2mdk
- Add patch1: fix kde bug #96926

* Mon Nov 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.1-1mdk
- 1.3.1

* Fri Oct 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-1mdk
- 1.3

* Tue Sep 28 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2-2mdk
- merge lost changes from amd64-branch:
  * mklibnamification fixes

* Wed Jul 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-1mdk
- 1.2
- Desactivate doc

* Mon Jul 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-3mdk
- Compile doc

* Thu Jun  3 2004 Montel Laurent <lmontel@mandrakesoft.com> 1.1-2mdk
- Rebuild with new gcc

* Mon Apr 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-1mdk
- 1.1

* Wed Mar 31 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-2mdk
- Use %%configure

* Thu Jan 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-1mdk
- 1.0

* Mon Dec 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.96-2mdk
- Move taglib-config to libname-devel (Thanks Nicolas Chipaux to report me this bug)

* Tue Dec 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.96-1mdk
- 0.96

* Wed Nov 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.95-2mdk
- Fix description

* Tue Nov 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.95-1mdk
- Initial package


